%bcond_without check

%global srcname certbot_apache

Name:          certbot-apache
Version:       4.0.0
Release:       %mkrel 2
Summary:       The apache plugin for certbot
License:       ASL 2.0
Group:         Development/Python
URL:           https://pypi.python.org/pypi/certbot-apache

Source0:       %{pypi_source}
Source1:       override_mageia.py

Patch0:       add-override-mageia-patch

BuildArch:     noarch
BuildRequires: python3-devel

#For running tests
BuildRequires: certbot = %{version}
BuildRequires: python3dist(python-augeas)
BuildRequires: pkgconfig(augeas)

Requires:      apache-mod_ssl
Requires:      certbot = %{version}

%description
Plugin for certbot that allows for automatic configuration of apache.

%prep
%autosetup -n %{srcname}-%{version} -p1

install -m 644 %{SOURCE1} certbot_apache/_internal/override_mageia.py

%generate_buildrequires
%pyproject_buildrequires %{?with_check:-x test}

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files certbot_apache

%if %{with check}
%check
%pytest
%endif

%files -f %{pyproject_files}
%license LICENSE.txt
%doc README.rst


%changelog
* Fri Jun 06 2025 katnatek <katnatek> 4.0.0-2.mga10
+ Revision: 2188706
- Add Tweaks for the mageia's configuration

* Mon Apr 14 2025 katnatek <katnatek> 4.0.0-1.mga10
+ Revision: 2175659
- Update to version 4.0.0
- Rebuild for python 3.13

* Mon Jun 10 2024 kekepower <kekepower> 2.11.0-1.mga10
+ Revision: 2072431
- Update to version 2.11.0

* Sat Jan 27 2024 wally <wally> 2.8.0-2.mga10
+ Revision: 2035406
- rebuild for py3.12
- use pyproject rpm macros
- enable tests

* Wed Dec 06 2023 kekepower <kekepower> 2.8.0-1.mga10
+ Revision: 2013679
- Update to version 2.8.0

* Thu Nov 02 2023 kekepower <kekepower> 2.7.4-1.mga10
+ Revision: 2003549
- Update to version 2.7.4

* Fri Oct 27 2023 kekepower <kekepower> 2.7.3-1.mga10
+ Revision: 2002063
- Update to version 2.7.3

* Fri Oct 20 2023 kekepower <kekepower> 2.7.2-1.mga10
+ Revision: 1999652
- Update to version 2.7.2

* Tue Oct 10 2023 kekepower <kekepower> 2.7.1-1.mga10
+ Revision: 1994167
- Update to version 2.7.1

* Mon Oct 09 2023 kekepower <kekepower> 2.7.0-1.mga10
+ Revision: 1993761
- Update to version 2.7.0

* Tue Aug 29 2023 kekepower <kekepower> 2.6.0-1.mga10
+ Revision: 1981052
- Update to version 2.6.0

* Wed Feb 15 2023 kekepower <kekepower> 2.3.0-1.mga9
+ Revision: 1942746
- Update to version 2.3.0

* Wed Jan 25 2023 kekepower <kekepower> 2.2.0-1.mga9
+ Revision: 1936012
- Update to version 2.2.0

* Thu Dec 15 2022 kekepower <kekepower> 2.1.1-1.mga9
+ Revision: 1923325
- Update to version 2.1.1

* Wed Dec 07 2022 kekepower <kekepower> 2.1.0-1.mga9
+ Revision: 1919044
- Update to version 2.1.0

* Wed Nov 23 2022 kekepower <kekepower> 2.0.0-1.mga9
+ Revision: 1910455
- Update to version 2.0.0

* Fri Nov 11 2022 kekepower <kekepower> 1.32.0-1.mga9
+ Revision: 1905470
- Update to version 1.32.0

* Wed Oct 05 2022 kekepower <kekepower> 1.31.0-1.mga9
+ Revision: 1894886
- Update to version 1.31.0

* Fri Sep 09 2022 kekepower <kekepower> 1.30.0-1.mga9
+ Revision: 1886224
- Update to version 1.30.0

* Thu Jul 07 2022 kekepower <kekepower> 1.29.0-1.mga9
+ Revision: 1867922
- Update to version 1.29.0

* Fri Jun 10 2022 kekepower <kekepower> 1.28.0-1.mga9
+ Revision: 1863827
- Update to version 1.28.0

* Wed May 04 2022 kekepower <kekepower> 1.27.0-1.mga9
+ Revision: 1856077
- Update to version 1.27.0

* Wed Apr 06 2022 kekepower <kekepower> 1.26.0-1.mga9
+ Revision: 1846278
- Update to version 1.26.0

* Thu Mar 17 2022 kekepower <kekepower> 1.25.0-1.mga9
+ Revision: 1797243
- Update to version 1.25.0

* Wed Mar 02 2022 kekepower <kekepower> 1.24.0-1.mga9
+ Revision: 1787726
- Update to version 1.24.0

* Thu Feb 10 2022 kekepower <kekepower> 1.23.0-1.mga9
+ Revision: 1772796
- Update to version 1.23.0

* Wed Dec 08 2021 kekepower <kekepower> 1.22.0-1.mga9
+ Revision: 1761151
- Update to version 1.22.0

* Thu Nov 04 2021 kekepower <kekepower> 1.21.0-1.mga9
+ Revision: 1753868
- Update to version 1.21.0

* Thu Oct 07 2021 kekepower <kekepower> 1.20.0-1.mga9
+ Revision: 1749961
- Update to version 1.20.0

* Sun Sep 12 2021 kekepower <kekepower> 1.19.0-1.mga9
+ Revision: 1745227
- Update to version 1.19.0

* Wed Aug 04 2021 kekepower <kekepower> 1.18.0-1.mga9
+ Revision: 1739243
- Update to version 1.18.0

* Tue Jul 06 2021 kekepower <kekepower> 1.17.0-1.mga9
+ Revision: 1735027
- Update to version 1.17.0

* Wed Jun 02 2021 kekepower <kekepower> 1.16.0-1.mga9
+ Revision: 1729380
- Update to version 1.16.0

* Wed May 05 2021 kekepower <kekepower> 1.15.0-1.mga9
+ Revision: 1721452
- Update to version 1.15.0

* Sat Apr 10 2021 kekepower <kekepower> 1.14.0-1.mga9
+ Revision: 1714463
- Update to version 1.14.0

* Thu Mar 04 2021 kekepower <kekepower> 1.13.0-1.mga9
+ Revision: 1697822
- Update to version 1.13.0

* Thu Feb 25 2021 kekepower <kekepower> 1.12.0-1.mga9
+ Revision: 1690840
- Update to version 1.12.0

* Thu Dec 03 2020 kekepower <kekepower> 1.10.1-1.mga8
+ Revision: 1652274
- Update to version 1.10.1

* Wed Dec 02 2020 kekepower <kekepower> 1.10.0-1.mga8
+ Revision: 1651558
- Update to version 1.10.0

* Wed Oct 07 2020 kekepower <kekepower> 1.9.0-1.mga8
+ Revision: 1632558
- Update to version 1.9.0

* Tue Sep 08 2020 kekepower <kekepower> 1.8.0-1.mga8
+ Revision: 1623693
- Update to version 1.8.0

* Wed Aug 05 2020 kekepower <kekepower> 1.7.0-1.mga8
+ Revision: 1611246
- Update to version 1.7.0

* Wed Jul 08 2020 kekepower <kekepower> 1.6.0-1.mga8
+ Revision: 1602922
- Update to version 1.6.0

* Mon Jun 08 2020 kekepower <kekepower> 1.5.0-1.mga8
+ Revision: 1591056
- Update to version 1.5.0
- Update to version 1.4.0

* Fri Mar 06 2020 kekepower <kekepower> 1.3.0-1.mga8
+ Revision: 1554347
- Fix rel
- Update to version 1.3.0

* Thu Feb 20 2020 umeabot <umeabot> 1.2.0-2.mga8
+ Revision: 1546963
- Mageia 8 Mass Rebuild

* Thu Feb 06 2020 kekepower <kekepower> 1.2.0-1.mga8
+ Revision: 1487347
- Update to version 1.2.0

* Wed Jan 22 2020 kekepower <kekepower> 1.1.0-1.mga8
+ Revision: 1482053
- Update to version 1.1.0

* Wed Nov 06 2019 kekepower <kekepower> 0.40.1-1.mga8
+ Revision: 1458322
- Update to version 0.40.1

* Tue Oct 15 2019 tv <tv> 0.39.0-1.mga8
+ Revision: 1453690
- new release
+ kekepower <kekepower>
- Update to version 0.38.0

* Thu Aug 22 2019 kekepower <kekepower> 0.37.2-1.mga8
+ Revision: 1431287
- Update to version 0.37.2

* Fri Aug 09 2019 kekepower <kekepower> 0.37.1-1.mga8
+ Revision: 1428329
- Update to version 0.37.1

* Thu Aug 08 2019 kekepower <kekepower> 0.37.0-1.mga8
+ Revision: 1428237
- Update to version 0.37.0

* Sun Jun 30 2019 kekepower <kekepower> 0.35.1-1.mga8
+ Revision: 1416420
- Update to version 0.35.1

* Wed May 08 2019 kekepower <kekepower> 0.34.2-1.mga7
+ Revision: 1396649
- Update to version 0.34.2

* Sat Apr 06 2019 kekepower <kekepower> 0.33.1-1.mga7
+ Revision: 1386300
- Update to version 0.33.1

* Thu Apr 04 2019 kekepower <kekepower> 0.33.0-1.mga7
+ Revision: 1385653
- Update to version 0.33.0

* Fri Mar 08 2019 kekepower <kekepower> 0.32.0-1.mga7
+ Revision: 1372816
- BR python-pytest
- Update to version 0.32.0

* Fri Feb 08 2019 kekepower <kekepower> 0.31.0-1.mga7
+ Revision: 1364094
- Update to version 0.31.0

* Fri Jan 25 2019 kekepower <kekepower> 0.30.2-1.mga7
+ Revision: 1360695
- Update to version 0.30.2

* Fri Jan 25 2019 kekepower <kekepower> 0.30.1-1.mga7
+ Revision: 1360544
- Update to version 0.30.1

* Mon Jan 07 2019 kekepower <kekepower> 0.30.0-2.mga7
+ Revision: 1350770
- Rebuild for Python 3.7

* Thu Jan 03 2019 kekepower <kekepower> 0.30.0-1.mga7
+ Revision: 1348760
- Update to version 0.30.0

* Sun Dec 30 2018 kekepower <kekepower> 0.29.1-1.mga7
+ Revision: 1347201
- Update to version 0.29.1

* Sat Nov 10 2018 kekepower <kekepower> 0.28.0-1.mga7
+ Revision: 1329361
- Update to version 0.28.0

* Thu Oct 18 2018 kekepower <kekepower> 0.27.1-1.mga7
+ Revision: 1322228
- Update to version 0.27.1
+ umeabot <umeabot>
- Mageia 7 Mass Rebuild
- Mageia 7 Mass Rebuild

* Tue Dec 12 2017 mitya <mitya> 0.20.0-1.mga7
+ Revision: 1182279
- New version 0.20.0

* Sun Nov 05 2017 mitya <mitya> 0.19.0-1.mga7
+ Revision: 1175986
- New version 0.19.0
- Drop patch #0 (merged upstream)

* Sat Aug 05 2017 pterjan <pterjan> 0.14.2-3.mga7
+ Revision: 1135195
- Rebuild for python 3.6

* Sun May 28 2017 daviddavid <daviddavid> 0.14.2-2.mga6
+ Revision: 1105322
- relax python3-augeas requirement

* Sat May 27 2017 mitya <mitya> 0.14.2-1.mga6
+ Revision: 1105150
- New version 0.14.2

* Wed May 24 2017 mitya <mitya> 0.14.1-1.mga6
+ Revision: 1104452
- rename python-certbot-apache -> certbot-apache
- Mageify
- python-certbot-apache -> certbot-apache
- imported package python-certbot-apache


* Tue May 16 2017 James Hogarth <james.hogarth@gmail.com> - 0.14.1-1
- Update to 0.14.1

* Fri May 12 2017 James Hogarth <james.hogarth@gmail.com> - 0.14.0-1
- Update to 0.14.0

* Wed Apr 19 2017 James Hogarth <james.hogarth@gmail.com> - 0.13.0-1
- update to 0.13.0
* Fri Mar 03 2017 James Hogarth <james.hogarth@gmail.com> - 0.12.0-1
- update to 0.12.0
- add python3 compatibility
* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.11.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild
* Sat Feb 04 2017 James Hogarth <james.hogarth@gmail.com> - 0.11.1-1
- Upgrade to 0.11.1
- Add requires on mod_ssl bz#1367943
* Fri Oct 14 2016 Nick Bebout <nb@fedoraproject.org> - 0.9.3-1
- Update to 0.9.3
* Thu Oct 13 2016 Nick Bebout <nb@fedoraproject.org> - 0.9.2-1
- Update to 0.9.2
* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.1-2
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages
* Sun Jun 19 2016 James Hogarth <james.hogarth@gmail.com> - 0.8.1-2
- Spec bug on el7 requires - bz#1347997
* Wed Jun 15 2016 Nick Bebout <nb@fedoraproject.org> - 0.8.1-1
- Update to 0.8.1
* Tue Jun 07 2016 James Hogarth <james.hogarth@gmail.com> - 0.8.0-2
- Move recommends to correct subpackage
- change to require python-augeas as python2-augeas not provided in F23
- change the python-devel BR as per review
* Fri Jun 03 2016 james <james.hogarth@gmail.com> - 0.8.0-1
- update to upstream 0.8.0 release
* Tue May 31 2016 James Hogarth <james.hogarth@gmail.com> - 0.7.0-1
- Update to 0.7.0 release
* Thu May 26 2016 James Hogarth <james.hogarth@gmail.com> - 0.6.0-2
- Ensure python2-* provide is present as per python guidelines
* Thu May 26 2016 James Hogarth <james.hogarth@gmail.com> - 0.6.0-1
- Initial packaging of the plugin
